# std::generic_category

From cppreference.com
< cpp‎ | error

Defined in header `<system_error>` |  |
const std::error_category& generic_category(); |  | (since C++11)

Obtains a reference to the static error category object for generic errors. The object is required to override the virtual function error_category::name() to return a pointer to the string "generic". It is used to identify error conditions that correspond to the POSIX errno codes.

### Parameters

(none)

### Return value

A reference to the static object of unspecified runtime type, derived from std::error_category.

### Exceptions

`noexcept` specification:
noexcept

### Example

Run this code

    #include <iostream>
    #include <system_error>
    #include <cerrno>
    #include <string>
    int main()
    {
        std::error_condition econd = std::generic_category().default_error_condition(EDOM);
        std::cout << "Category: " << econd.category().name() << '\n'
                  << "Value: " << econd.value() << '\n'
                  << "Message: " << econd.message() << '\n';
    }

Output:

    Category: generic
    Value: 33
    Message: Numerical argument out of domain

### See also

system_category (C++11) | identifies the operating system error category (function)
errc (C++11) | the std::error_condition enumeration listing all standard `<cerrno>` macro constants (class)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/generic_category&oldid=91398"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template